Update an invoice

Change the details of an invoice.

For an on-demand invoice that has not been sent for payment processing (status is unpaid), all the values in the body parameters can be updated.

For invoice with status past_due, only the following values can be changed: payment method token, next scheduled payment date, and description. You can also apply a discount on an invoice item. Take note that the invoice amount cannot be updated to have a reduction of the initial invoice amount. This will need to be actioned via a "discount". The "invoiceItemId" need to be provided in the request body if the integrator choose to provide a discount to a specific item in the invoice.

Path Params
string
required

Auto-generated identifier of the invoice.

Body Params
string

The payment method token that will replace the invoice's current payment method token.

string

Set the next scheduled payment date to have payment automatically attempted in the future. Future date specified must be at least tomorrow's date (one day after today's date) but no more than one year (365 days). If future date is valid, payment will be attempted as autoPayment will always be set to true. Supported format is YYYY-MM-DD. If set to null, no scheduled payment will occur as autoPayment will be set to false. If no value is provided, the current value is retained.

string

The invoice Id from integrator's system.

string

Options consist of cardonfile or recurring.

items
array of objects
required

Details of the individual invoice items of the invoice.

items*
Headers
string
required

Merchant ID

Responses

Language
Response
Choose an example:
application/json